Builds für die org auflisten
curl --request GET \
--url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"build_id": "<string>",
"completed_at": 123,
"created_at": 123,
"pinned": true,
"started_at": 123,
"status": "pending",
"trigger": "manual",
"triggered_by_user_id": "<string>",
"updated_at": 123
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Snapshot Setup (Organisation)
Builds für die org auflisten
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
builds
Builds für die org auflisten
Berechtigungen
ManageRepoBlueprints auf Ebene der Organisation.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
Beispiel:
"org-abc123def456"
Abfrageparameter
Erforderlicher Bereich:
1 <= x <= 200Nach Spec-Status filtern.
Verfügbare Optionen:
pending, running, succeeded, failed, cancelled Wenn true, werden 0 oder 1 Einträge zurückgegeben: der Build, dessen Image derzeit für neue Sitzungen verwendet wird.
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, wenn dies die letzte Seite ist.
Gibt an, ob nach dieser Seite weitere Eintrag verfügbar sind.
Optionale Gesamtanzahl (kann aus Performance-Gründen weggelassen werden).

